| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSphere Class Reference
[Geometry utilities]

This class represents a sphere. More...

`#include <csgeom/sphere.h>`

List of all members.

## Public Member Functions
| csSphere (const csSphere &s)
| Copy Constructor.
| csSphere (const csVector3 &center, float radius)
| Create a new sphere.
| csSphere ()
| Create a new empty sphere at (0,0,0).
const csVector3 & | GetCenter () const
| Get the center of this sphere.
csVector3 & | GetCenter ()
| Get the center of this sphere.
float | GetRadius () const
| Get the radius of this sphere.
csSphere & | operator+= (const csSphere &s)
| Calculate the union of this sphere and another one.
void | SetCenter (const csVector3 &c)
| Set the center of this sphere.
void | SetRadius (float r)
| Set the radius of this sphere.
void | Union (const csVector3 &ocenter, float oradius)
| Calculate the union of this sphere and another.
## Friends
csSphere | operator+ (const csSphere &s1, const csSphere &s2)
| Calculate the union of two spheres.

## Detailed Description

This class represents a sphere.

Definition at line 39 of file sphere.h.

## Constructor & Destructor Documentation

csSphere::csSphere | ( |  | ) | `[inline]`

Create a new empty sphere at (0,0,0).

Definition at line 47 of file sphere.h.

csSphere::csSphere | ( | const csVector3 & | center,
|  | float | radius |
| ) |  |  | `[inline]`

Create a new sphere.

Definition at line 54 of file sphere.h.

csSphere::csSphere | ( | const csSphere & | s | ) | `[inline]`

Copy Constructor.

Definition at line 61 of file sphere.h.

References center, and radius.

## Member Function Documentation

const csVector3& csSphere::GetCenter | ( |  | ) | const`[inline]`

Get the center of this sphere.

Definition at line 66 of file sphere.h.

csVector3& csSphere::GetCenter | ( |  | ) | `[inline]`

Get the center of this sphere.

Definition at line 64 of file sphere.h.

float csSphere::GetRadius | ( |  | ) | const`[inline]`

Get the radius of this sphere.

Definition at line 70 of file sphere.h.

csSphere& csSphere::operator+= | ( | const csSphere & | s | ) | `[inline]`

Calculate the union of this sphere and another one.

Definition at line 80 of file sphere.h.

References center, and radius.

void csSphere::SetCenter | ( | const csVector3 & | c | ) | `[inline]`

Set the center of this sphere.

Definition at line 68 of file sphere.h.

void csSphere::SetRadius | ( | float | r | ) | `[inline]`

Set the radius of this sphere.

Definition at line 72 of file sphere.h.

void csSphere::Union | ( | const csVector3 & | ocenter,
|  | float | oradius |
| ) |  |  |

Calculate the union of this sphere and another.

## Friends And Related Function Documentation

csSphere operator+ | ( | const csSphere & | s1,
|  | const csSphere & | s2 |
| ) |  |  | `[friend]`

Calculate the union of two spheres.

The documentation for this class was generated from the following file:

- csgeom/sphere.h